<?php
// $Id: main.php,v 1.1 2004/10/18 17:54:11 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 Relaible - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//

// Welcome Screen
define("_INSTALL_W_WELCOME"   , "Bienvenue dans l'assistant d'installation de %s");
define("_INSTALL_W_CHOOSE"    , "Veuillez choisir l'action que vous souhaitez effectuer :");
define("_INSTALL_W_CHOOSELANG", "Choisissez la langue utilisée pour l'installation");

// Server Tests
define("_INSTALL_ST_TESTS"       , "Nous avons détecté : ");
define("_INSTALL_ST_MAINFILE_OK" , "Votre mainfile.php est en écriture :: <img src='images/check.gif' />");
define("_INSTALL_ST_MAINFILE_BAD", "SVP changez les permissions d'écriture du fichier mainfile.php afin de le rendre accessible à l'écriture (exemple: chmod 666 mainfile.php sur serveurs UNIX/LINUX ). Rechargez cette page aprés avoir changé les permissions.");
define("_INSTALL_ST_MYSQL_OK"    , "Votre version de Mysql est %s, c'est suffisant :: <img src='images/check.gif' />");
define("_INSTALL_ST_MYSQL_BAD"   , "Votre version de Mysql est %s, Vous avez besoin d'une version supérieure pour utiliser E-Xoops :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_BAD2"  , "Impossible de déterminer votre version de MySql, MySQL 3.23.xx minimum est requis.");
define("_INSTALL_ST_GLOBALS_OK"  , "Register Globals à ON :: <img src='images/check.gif' />");
define("_INSTALL_ST_GLOBALS_BAD" , "Register Globals à OFF. Ceci ne devrait pas être un problème. :: <img src='images/question.gif' />");
define("_INSTALL_ST_PHP_OK"      , "Votre version de PHP est %s, c'est suffisant :: <img src='images/check.gif' />");
define("_INSTALL_ST_PHP_BAD"     , "Vous avez seulement la version de PHP %s. Vous avez besoin d'une version supérieure pour utiliser RUNCMS :: <img src='images/failed.gif' />");
define("_INSTALL_ST_NEXT"        , "Si les résultats ci-dessus sont positifs, alors continuez...");
define("_INSTALL_PHPINFO"        , "PHP-INFO");

// DBFORM
define("_INSTALL_DF_DB"          ,"Base de Données");
define("_INSTALL_DF_DB1"         ,"Choisir la base à utiliser.");
define("_INSTALL_DF_HOST"        ,"Nom du serveur de la base de données");
define("_INSTALL_DF_HOST1"       ,"Nom du serveur de la base de données. Si vous n'êtes pas sûr, 'localhost' fonctionne dans la plupart des cas.");
define("_INSTALL_DF_UNAME"       ,"Nom Utilisateur de la Base de Données");
define("_INSTALL_DF_UNAME1"      ,"Votre compte utilisateur de base sur le serveur. (souvent root si vous faites une installation sur votre machine en local.)");
define("_INSTALL_DF_PASS"        ,"Mot de Passe Base de Données");
define("_INSTALL_DF_PASS1"       ,"Votre mot de passe utilisateur pour l'accès à la base de données.");
define("_INSTALL_DF_DBNAME"      ,"Nom de la Base de Données");
define("_INSTALL_DF_DBNAME1"     ,"Le nom de la Base de Données sur le serveur. L'assistant va tenter de créer la base si elle n'existe pas.");
define("_INSTALL_DF_PREFIX"      ,"Préfixe des tables");
define("_INSTALL_DF_PREFIX1"     ,"Ce préfixe sera ajouté à tous les noms de tables pour éviter les conflits de noms dans la base de données. Si vous n'êtes pas sûr, utilisez par défaut 'e-xoops'.");
define("_INSTALL_DF_PCONNECT"    ,"Utiliser les connexions persistentes ?");
define("_INSTALL_DF_PCONNECT1"   ,"'Non' par défaut. Choisir 'Non' si vous n'êtes pas sûr.");
define("_INSTALL_DF_PATH"        ,"Chemin physique");
define("_INSTALL_DF_PATH1"       ,"Chemin physique vers le répertoire principal de votre RunCms SANS slash à la fin.");
define("_INSTALL_DF_URL"         ,"Chemin virtuel vers RunCms (URL)");
define("_INSTALL_DF_URL1"        ,"Chemin virtuel vers le répertoire principal de votre RunCms SANS slash à la fin (http://www.monsite.com/dossier)");
define("_INSTALL_DF_PLEASE_ENTER","SVP Entrez %s");
define("_INSTALL_DF_ERRORS"      , "A rencontré les erreurs suivantes :");
define("_INSTALL_DF_BADROOT"     , "Le chemin physique que vous avez spécifié n'existe pas.");
define("_INSTALL_DF_BADDB"       , "Impossible de se connecter ou de créer la base de données avec les informations spécifiées.");
define("_INSTALL_DF_OK"          , "Tout semble être OK, continuez pour sauvegarder votre configuration.");
define("_INSTALL_LANG"           , "Langue par défaut de l'installation.");


// Mainfile setup
define("_INSTALL_MF_FAILOPEN" ,"N'a pas pu ouvrir mainfile.php. Veuillez vérifier les permissions du fichier et réessayez.");
define("_INSTALL_MF_FAILWRITE","N'a pas pu écrire dans le mainfile.php.  Contactez l'administrateur de serveur.");
define("_INSTALL_MF_WRITEOK"  ,"La configuration a été sauvegardée avec succès.");

// Admin Setup
define("_INSTALL_AD_MSG"     , "Installation du compte Administrateur :");
define("_INSTALL_AD_UNAME"   , "Pseudo Administrateur :");
define("_INSTALL_AD_EMAIL"   , "Email de l'Administrateur :");
define("_INSTALL_AD_PASS"    , "Mot de Passe Administrateur :");
define("_INSTALL_AD_BADPASS" , "Saisir un mot de passe de plus de %s charactères.");
define("_INSTALL_AD_BADUNAME", "Utilisez seulement des caractères alphanumériques et sans espace dans le Pseudo");
define("_INSTALL_AD_BADEMAIL", "Format d'email invalide.");

// DB CREATION
define("_INSTALL_DB_DBERROR" , "La création des tables de la base de données a échoué.");
define("_INSTALL_DB_TRYAGAIN", "Cliquez <a href='%s'>ici</a> pour recommencer à la première étape.");

// Finish
define("_INSTALL_F_CONGRAT" , "Félicitations, RunCms est maintenant installé");
define("_INSTALL_F_CHMOD"   , "Soyez sûr des chmod sur les fichiers :");
define("_INSTALL_F_CHMODMSG", "Si vous avez accès à votre serveur en ligne de commande. Vous pouvez sauvegarder et exécuter le script en ligne de commande");
define("_INSTALL_F_VISIT"   , "Vous pouvez visiter votre site en cliquant <a href='%s/'>ICI</a>");

// Some general stuff
define("_INSTALL_G_TITLE" , "Installation");
define("_INSTALL_U_CHOOSE", "Veuillez choisir un package de mise à niveau :");
define("_INSTALL_U_NOTE"  , "NOTE : Votre ancien fichier mainfile.php doit être en place et contenir les bonnes informations.");
define("_INSTALL_U_README", "Cliquez <a href='%s' target='_blank'>ICI</a> pour lire le fichier <b>README</b> pour plus d'information.");
?>